// packageE/member/component/founder/collageItem_1/collageItem_1.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    datas: {
      type: null,
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    opeConShow: false,
    info: [],
  },
  lifetimes: {
    // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
    attached() {},
    moved() {},
    detached() {},
  },
  observers: {
    // 'datas': function (b) {
    //   console.log(b)
    //   this.setData({
    //     info: b
    //   })
    // }
  },

  /**
   * 组件的方法列表
   */
  methods: {
    alertOpe(e) {
      this.setData({
        opeConShow: !this.data.opeConShow,
      });
    },
    tapDel(e) {
      console.log(e);
      let id = e.currentTarget.dataset.id;
      this.triggerEvent("delId", id);
    },
    editProject(e) {
      let id = e.currentTarget.dataset.id;
      console.log(id);
      this.triggerEvent("editProject", id);
    },
  },
});
